regina::xml::XMLParserCallback Class Reference
Miscellaneous Utilities

Provides the callbacks for an XMLParser. More...

`#include <utilities/xmlutils.h>`

Inheritance diagram for regina::xml::XMLParserCallback:

## Public Member Functions

virtual | ~XMLParserCallback ()
| Default destructor that does nothing. More...
virtual void | start_document (XMLParser *parser)
| Called at the start of the document. More...
virtual void | end_document ()
| Called when the document is finalised. More...
virtual void | start_element (const std::string &n, const regina::xml::XMLPropertyDict &p)
| Called when an element's opening tag is encountered. More...
virtual void | end_element (const std::string &n)
| Called when an element's closing tag is encountered. More...
virtual void | characters (const std::string &s)
| Called when characters are encountered. More...
virtual void | comment (const std::string &s)
| Called when a comment is encountered. More...
virtual void | warning (const std::string &s)
| Called when a parser warning occurs. More...
virtual void | error (const std::string &s)
| Called when a parser error occurs. More...
virtual void | fatal_error (const std::string &s)
| Called when a parser fatal error occurs. More...

## Detailed Description

Provides the callbacks for an XMLParser.

The various routines in this class will be called when corresponding elements of the XML file being parsed are encountered.

The routines in this class do nothing; you will need to create a derived class that overrides some or all of these routines to do the processing that you require.

Python:\n Not present.

Author
  This class was taken and modified from the libxml++ library (`http://lusis.org/~ari/xml++/`).

The documentation for this class was generated from the following file:

- utilities/xmlutils.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).